- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiBranchingInformation Class Reference

`#include <OsiBranchingObject.hpp>`

Collaboration diagram for OsiBranchingInformation:

[legend]
List of all members.

## Public Member Functions
| OsiBranchingInformation ()
| Default Constructor.
| OsiBranchingInformation (const OsiSolverInterface *solver, bool normalSolver, bool copySolution=false)
| Useful Constructor (normalSolver true if has matrix etc etc) copySolution true if constructot should make a copy.
| OsiBranchingInformation (const OsiBranchingInformation &)
| Copy constructor.
OsiBranchingInformation & | operator= (const OsiBranchingInformation &rhs)
| Assignment operator.
virtual OsiBranchingInformation * | clone () const
| Clone.
virtual | ~OsiBranchingInformation ()
| Destructor.
## Public Attributes
int | stateOfSearch_
| State of search 0 - no solution 1 - only heuristic solutions 2 - branched to a solution 3 - no solution but many nodes.
double | objectiveValue_
| Value of objective function (in minimization sense).
double | cutoff_
| Value of objective cutoff (in minimization sense).
double | direction_
| Direction 1.0 for minimization, -1.0 for maximization.
double | integerTolerance_
| Integer tolerance.
double | primalTolerance_
| Primal tolerance.
double | timeRemaining_
| Maximum time remaining before stopping on time.
double | defaultDual_
| Dual to use if row bound violated (if negative then pseudoShadowPrices off).
const OsiSolverInterface * | solver_
| Pointer to solver.
int | numberColumns_
| The number of columns.
const double * | lower_
| Pointer to current lower bounds on columns.
const double * | solution_
| Pointer to current solution.
const double * | upper_
| Pointer to current upper bounds on columns.
const double * | hotstartSolution_
| Highly optional target (hot start) solution.
const double * | pi_
| Pointer to duals.
const double * | rowActivity_
| Pointer to row activity.
const double * | objective_
| Objective.
const double * | rowLower_
| Pointer to current lower bounds on rows.
const double * | rowUpper_
| Pointer to current upper bounds on rows.
const double * | elementByColumn_
| Elements in column copy of matrix.
const CoinBigIndex * | columnStart_
| Column starts.
const int * | columnLength_
| Column lengths.
const int * | row_
| Row indices.
double * | usefulRegion_
| Useful region of length CoinMax(numberColumns,2*numberRows) This is allocated and deleted before OsiObject::infeasibility It is zeroed on entry and should be so on exit It only exists if defaultDual_>=0.0.
int * | indexRegion_
| Useful index region to go with usefulRegion_.
int | numberSolutions_
| Number of solutions found.
int | numberBranchingSolutions_
| Number of branching solutions found (i.e. exclude heuristics).
int | depth_
| Depth in tree.
bool | owningSolution_
| TEMP.

## Detailed Description

Definition at line 360 of file OsiBranchingObject.hpp.

## Constructor & Destructor Documentation

OsiBranchingInformation::OsiBranchingInformation | ( |  | ) |

Default Constructor.

OsiBranchingInformation::OsiBranchingInformation | ( | const OsiSolverInterface * | solver,
|  | bool | normalSolver,
|  | bool | copySolution = `false` |
| ) |  |  |

Useful Constructor (normalSolver true if has matrix etc etc) copySolution true if constructot should make a copy.

OsiBranchingInformation::OsiBranchingInformation | ( | const OsiBranchingInformation & |  | ) |

Copy constructor.

virtual OsiBranchingInformation::~OsiBranchingInformation | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

OsiBranchingInformation& OsiBranchingInformation::operator= | ( | const OsiBranchingInformation & | rhs | ) |

Assignment operator.

virtual OsiBranchingInformation* OsiBranchingInformation::clone | ( |  | ) | const`[virtual]`

Clone.

## Member Data Documentation

int OsiBranchingInformation::stateOfSearch_

State of search 0 - no solution 1 - only heuristic solutions 2 - branched to a solution 3 - no solution but many nodes.

Definition at line 395 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::objectiveValue_

Value of objective function (in minimization sense).

Definition at line 397 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::cutoff_

Value of objective cutoff (in minimization sense).

Definition at line 399 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::direction_

Direction 1.0 for minimization, -1.0 for maximization.

Definition at line 401 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::integerTolerance_

Integer tolerance.

Definition at line 403 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::primalTolerance_

Primal tolerance.

Definition at line 405 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::timeRemaining_

Maximum time remaining before stopping on time.

Definition at line 407 of file OsiBranchingObject.hpp.

double OsiBranchingInformation::defaultDual_

Dual to use if row bound violated (if negative then pseudoShadowPrices off).

Definition at line 409 of file OsiBranchingObject.hpp.

const OsiSolverInterface* OsiBranchingInformation::solver_`[mutable]`

Pointer to solver.

Definition at line 411 of file OsiBranchingObject.hpp.

int OsiBranchingInformation::numberColumns_

The number of columns.

Definition at line 413 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::lower_`[mutable]`

Pointer to current lower bounds on columns.

Definition at line 415 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::solution_`[mutable]`

Pointer to current solution.

Definition at line 417 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::upper_`[mutable]`

Pointer to current upper bounds on columns.

Definition at line 419 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::hotstartSolution_

Highly optional target (hot start) solution.

Definition at line 421 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::pi_

Pointer to duals.

Definition at line 423 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::rowActivity_

Pointer to row activity.

Definition at line 425 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::objective_

Objective.

Definition at line 427 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::rowLower_

Pointer to current lower bounds on rows.

Definition at line 429 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::rowUpper_

Pointer to current upper bounds on rows.

Definition at line 431 of file OsiBranchingObject.hpp.

const double* OsiBranchingInformation::elementByColumn_

Elements in column copy of matrix.

Definition at line 433 of file OsiBranchingObject.hpp.

const CoinBigIndex* OsiBranchingInformation::columnStart_

Column starts.

Definition at line 435 of file OsiBranchingObject.hpp.

const int* OsiBranchingInformation::columnLength_

Column lengths.

Definition at line 437 of file OsiBranchingObject.hpp.

const int* OsiBranchingInformation::row_

Row indices.

Definition at line 439 of file OsiBranchingObject.hpp.

double* OsiBranchingInformation::usefulRegion_

Useful region of length CoinMax(numberColumns,2*numberRows) This is allocated and deleted before OsiObject::infeasibility It is zeroed on entry and should be so on exit It only exists if defaultDual_>=0.0.

Definition at line 445 of file OsiBranchingObject.hpp.

int* OsiBranchingInformation::indexRegion_

Useful index region to go with usefulRegion_.

Definition at line 447 of file OsiBranchingObject.hpp.

int OsiBranchingInformation::numberSolutions_

Number of solutions found.

Definition at line 449 of file OsiBranchingObject.hpp.

int OsiBranchingInformation::numberBranchingSolutions_

Number of branching solutions found (i.e. exclude heuristics).

Definition at line 451 of file OsiBranchingObject.hpp.

int OsiBranchingInformation::depth_

Depth in tree.

Definition at line 453 of file OsiBranchingObject.hpp.

bool OsiBranchingInformation::owningSolution_

TEMP.

Definition at line 455 of file OsiBranchingObject.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Bcps-0.91.0/Osi/src/OsiBranchingObject.hpp